=== modified file 'Makefile'
--- Makefile	2009-01-10 00:53:09 +0000
+++ Makefile	2009-01-06 02:42:53 +0000
@@ -9,9 +9,8 @@
 #DEBUG=-ggdb3
 # For info about _FORTIFY_SOURCE, see
 # <http://gcc.gnu.org/ml/gcc-patches/2004-09/msg02055.html>
-FORTIFY=-D_FORTIFY_SOURCE=2 -fstack-protector-all -fPIC -fPIE
-LINK_FORTIFY_LD=-z relro -fPIE
-LINK_FORTIFY=-pie
+FORTIFY=-D_FORTIFY_SOURCE=2 -fstack-protector-all -fPIE -pie
+LINK_FORTIFY=-z relro -pie
 #COVERAGE=--coverage
 OPTIMIZE=-Os
 LANGUAGE=-std=gnu99
@@ -46,7 +45,7 @@
 CFLAGS=$(WARN) $(DEBUG) $(FORTIFY) $(COVERAGE) $(OPTIMIZE) \
 	$(LANGUAGE) $(GNUTLS_CFLAGS) $(AVAHI_CFLAGS) $(GPGME_CFLAGS) \
 	-DVERSION='"$(version)"'
-LDFLAGS=$(COVERAGE) $(LINK_FORTIFY) $(foreach flag,$(LINK_FORTIFY_LD),-Xlinker $(flag))
+LDFLAGS=$(COVERAGE) $(foreach flag,$(LINK_FORTIFY),-Xlinker $(flag))
 
 # Commands to format a DocBook <refentry> document into a manual page
 DOCBOOKTOMAN=cd $(dir $<); xsltproc --nonet --xinclude \
@@ -176,9 +175,6 @@
 	$(SED) --in-place \
 		--expression='s/^\(Entered-date:\).*/\1\t$(shell date --rfc-3339=date --reference=Makefile)/' \
 		$@
-	$(SED) --in-place \
-		--expression='s/\(mandos_\)[0-9.]\+\(\.orig\.tar\.gz\)/\1$(version)\2/' \
-		$@
 
 plugins.d/mandos-client: plugins.d/mandos-client.o
 	$(LINK.o) $(GNUTLS_LIBS) $(AVAHI_LIBS) $(GPGME_LIBS) \

=== modified file 'clients.conf'
--- clients.conf	2009-01-08 03:54:06 +0000
+++ clients.conf	2008-09-21 13:42:34 +0000
@@ -14,7 +14,7 @@
 ;interval = 5m
 
 # What command to run as "the checker".
-;checker = fping -q -- %%(host)s
+;checker = fping -q -- %(host)s
 
 
 ;####

=== modified file 'debian/changelog'
--- debian/changelog	2009-01-06 22:43:19 +0000
+++ debian/changelog	2009-01-06 02:42:53 +0000
@@ -1,19 +1,9 @@
-mandos (1.0.3-2) unstable; urgency=low
-
-  * Removed some now-unused debconf files.
-  * Changed postinst scripts to not source debconf/confmodule.
-  * Removed po-debconf from build-depends.
-
- -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Tue, 06 Jan 2009 21:28:20 +0100
-
 mandos (1.0.3-1) unstable; urgency=low
 
   * New upstream release.
-  * Add -Xlinker to linker flags to fix FTBFS for some architectures.
-    Thanks to Thiemo Seufer <ths@networkno.de> for the report and
-    fix. (Closes:  #509398)
-  * Remove debconf use altogether, thereby stopping debconf abuse.  Thanks
-    to Christian Perrier <bubulle@debian.org>. (Closes:  #509653)
+  * Second try to close ITP: (Closes: #500727: ITP)
+  * Fix FTBFS for some architectures: (Closes: #509398)
+  * Remove debconf note: (Closes: #509653: Debconf abuse)
   * Add NEWS file to /usr/share/doc directories.
   * Use and create "_mandos" user+group.  Rename old user+group created by
     older versions of this package.

=== modified file 'debian/control'
--- debian/control	2009-01-06 20:39:35 +0000
+++ debian/control	2009-01-04 21:20:50 +0000
@@ -6,7 +6,7 @@
 	   Björn Påhlsson <belorn@fukt.bsnet.se>
 Build-Depends: debhelper (>= 7), docbook-xml, docbook-xsl,
 	libavahi-core-dev, libgpgme11-dev, libgnutls-dev, xsltproc,
-	pkg-config
+	po-debconf, pkg-config
 Standards-Version: 3.8.0
 Vcs-Bzr: http://ftp.fukt.bsnet.se/pub/mandos/trunk
 Vcs-Browser: http://bzr.fukt.bsnet.se/loggerhead/mandos/trunk/files

=== modified file 'mandos'
--- mandos	2009-01-08 03:54:06 +0000
+++ mandos	2009-01-06 02:42:53 +0000
@@ -972,7 +972,7 @@
     # Parse config file with clients
     client_defaults = { "timeout": "1h",
                         "interval": "5m",
-                        "checker": "fping -q -- %%(host)s",
+                        "checker": "fping -q -- %(host)s",
                         "host": "",
                         }
     client_config = ConfigParser.SafeConfigParser(client_defaults)
@@ -993,17 +993,23 @@
     
     try:
         uid = pwd.getpwnam("_mandos").pw_uid
+    except KeyError:
+        try:
+            uid = pwd.getpwnam("mandos").pw_uid
+        except KeyError:
+            try:
+                uid = pwd.getpwnam("nobody").pw_uid
+            except KeyError:
+                uid = 65534
+    try:
         gid = pwd.getpwnam("_mandos").pw_gid
     except KeyError:
         try:
-            uid = pwd.getpwnam("mandos").pw_uid
             gid = pwd.getpwnam("mandos").pw_gid
         except KeyError:
             try:
-                uid = pwd.getpwnam("nobody").pw_uid
                 gid = pwd.getpwnam("nogroup").pw_gid
             except KeyError:
-                uid = 65534
                 gid = 65534
     try:
         os.setuid(uid)

=== modified file 'mandos-clients.conf.xml'
--- mandos-clients.conf.xml	2009-01-08 03:54:06 +0000
+++ mandos-clients.conf.xml	2009-01-04 21:54:55 +0000
@@ -3,7 +3,7 @@
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY CONFNAME "mandos-clients.conf">
 <!ENTITY CONFPATH "<filename>/etc/mandos/clients.conf</filename>">
-<!ENTITY TIMESTAMP "2009-01-08">
+<!ENTITY TIMESTAMP "2009-01-04">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -170,7 +170,7 @@
 	    <varname>PATH</varname> will be searched.  The default
 	    value for the checker command is <quote><literal
 	    ><command>fping</command> <option>-q</option> <option
-	    >--</option> %%(host)s</literal></quote>.
+	    >--</option> %(host)s</literal></quote>.
 	  </para>
 	  <para>
 	    In addition to normal start time expansion, this option
@@ -351,7 +351,7 @@
 [DEFAULT]
 timeout = 1h
 interval = 5m
-checker = fping -q -- %%(host)s
+checker = fping -q -- %(host)s
 
 # Client "foo"
 [foo]

=== modified file 'plugin-runner.c'
--- plugin-runner.c	2009-01-06 22:49:50 +0000
+++ plugin-runner.c	2009-01-04 21:54:55 +0000
@@ -309,7 +309,6 @@
   struct stat st;
   fd_set rfds_all;
   int ret, maxfd = 0;
-  ssize_t sret;
   uid_t uid = 65534;
   gid_t gid = 65534;
   bool debug = false;
@@ -547,6 +546,7 @@
     char *org_line = NULL;
     char *p, *arg, *new_arg, *line;
     size_t size = 0;
+    ssize_t sret;
     const char whitespace_delims[] = " \r\t\f\v\n";
     const char comment_delim[] = "#";
 
@@ -1019,18 +1019,18 @@
 	proc->buffer_size += BUFFER_SIZE;
       }
       /* Read from the process */
-      sret = read(proc->fd, proc->buffer + proc->buffer_length,
-		  BUFFER_SIZE);
-      if(sret < 0){
+      ret = read(proc->fd, proc->buffer + proc->buffer_length,
+		 BUFFER_SIZE);
+      if(ret < 0){
 	/* Read error from this process; ignore the error */
 	proc = proc->next;
 	continue;
       }
-      if(sret == 0){
+      if(ret == 0){
 	/* got EOF */
 	proc->eof = true;
       } else {
-	proc->buffer_length += (size_t) sret;
+	proc->buffer_length += (size_t) ret;
       }
     }
   }

=== modified file 'plugins.d/askpass-fifo.c'
--- plugins.d/askpass-fifo.c	2009-01-10 02:21:13 +0000
+++ plugins.d/askpass-fifo.c	2009-01-04 21:54:55 +0000
@@ -43,14 +43,14 @@
   
   /* Create FIFO */
   const char passfifo[] = "/lib/cryptsetup/passfifo";
-  ret = (int)TEMP_FAILURE_RETRY(mkfifo(passfifo, S_IRUSR | S_IWUSR));
+  ret = TEMP_FAILURE_RETRY(mkfifo(passfifo, S_IRUSR | S_IWUSR));
   if(ret == -1 and errno != EEXIST){
     perror("mkfifo");
     return EXIT_FAILURE;
   }
   
   /* Open FIFO */
-  int fifo_fd = (int)TEMP_FAILURE_RETRY(open(passfifo, O_RDONLY));
+  int fifo_fd = TEMP_FAILURE_RETRY(open(passfifo, O_RDONLY));
   if(fifo_fd == -1){
     perror("open");
     return EXIT_FAILURE;

=== modified file 'plugins.d/mandos-client.c'
--- plugins.d/mandos-client.c	2009-01-10 02:21:13 +0000
+++ plugins.d/mandos-client.c	2009-01-04 21:54:55 +0000
@@ -156,7 +156,7 @@
     int fd;
     gpgme_data_t pgp_data;
     
-    fd = (int)TEMP_FAILURE_RETRY(open(filename, O_RDONLY));
+    fd = TEMP_FAILURE_RETRY(open(filename, O_RDONLY));
     if(fd == -1){
       perror("open");
       return false;
@@ -176,7 +176,7 @@
       return false;
     }
     
-    ret = (int)TEMP_FAILURE_RETRY(close(fd));
+    ret = TEMP_FAILURE_RETRY(close(fd));
     if(ret == -1){
       perror("close");
     }
@@ -501,7 +501,6 @@
 				      AvahiIfIndex if_index,
 				      mandos_context *mc){
   int ret, tcp_sd;
-  ssize_t sret;
   union { struct sockaddr in; struct sockaddr_in6 in6; } to;
   char *buffer = NULL;
   char *decrypted_buffer;
@@ -578,7 +577,7 @@
   written = 0;
   while (true){
     size_t out_size = strlen(out);
-    ret = (int)TEMP_FAILURE_RETRY(write(tcp_sd, out + written,
+    ret = TEMP_FAILURE_RETRY(write(tcp_sd, out + written,
 				   out_size - written));
     if (ret == -1){
       perror("write");
@@ -633,13 +632,13 @@
       goto mandos_end;
     }
     
-    sret = gnutls_record_recv(session, buffer+buffer_length,
-			      BUFFER_SIZE);
-    if (sret == 0){
+    ret = gnutls_record_recv(session, buffer+buffer_length,
+			     BUFFER_SIZE);
+    if (ret == 0){
       break;
     }
-    if (sret < 0){
-      switch(sret){
+    if (ret < 0){
+      switch(ret){
       case GNUTLS_E_INTERRUPTED:
       case GNUTLS_E_AGAIN:
 	break;
@@ -662,7 +661,7 @@
 	goto mandos_end;
       }
     } else {
-      buffer_length += (size_t) sret;
+      buffer_length += (size_t) ret;
     }
   }
   
@@ -704,7 +703,7 @@
   
  mandos_end:
   free(buffer);
-  ret = (int)TEMP_FAILURE_RETRY(close(tcp_sd));
+  ret = TEMP_FAILURE_RETRY(close(tcp_sd));
   if(ret == -1){
     perror("close");
   }
@@ -941,7 +940,7 @@
 	  goto end;
 	}
       }
-      ret = (int)TEMP_FAILURE_RETRY(close(sd));
+      ret = TEMP_FAILURE_RETRY(close(sd));
       if(ret == -1){
 	perror("close");
       }

=== modified file 'plugins.d/password-prompt.c'
--- plugins.d/password-prompt.c	2009-01-08 03:54:06 +0000
+++ plugins.d/password-prompt.c	2009-01-04 21:54:55 +0000
@@ -79,7 +79,7 @@
 	.doc = "Debug mode", .group = 3 },
       { .name = NULL }
     };
-    
+  
     error_t parse_opt (int key, char *arg, struct argp_state *state) {
       /* Get the INPUT argument from `argp_parse', which we know is a
 	 pointer to our plugin list pointer. */
@@ -100,7 +100,7 @@
       }
       return 0;
     }
-    
+  
     struct argp argp = { .options = options, .parser = parse_opt,
 			 .args_doc = "",
 			 .doc = "Mandos password-prompt -- Read and"
@@ -111,7 +111,7 @@
       return EXIT_FAILURE;
     }
   }
-  
+    
   if (debug){
     fprintf(stderr, "Starting %s\n", argv[0]);
   }
@@ -250,7 +250,7 @@
       fprintf(stderr, "getline() returned 0, retrying.\n");
     }
   }
-  
+
   free(buffer);
   
   if (debug){

=== modified file 'plugins.d/usplash.c'
--- plugins.d/usplash.c	2009-01-10 02:21:13 +0000
+++ plugins.d/usplash.c	2009-01-04 21:54:55 +0000
@@ -92,11 +92,10 @@
   }
   
   size_t written = 0;
-  ssize_t sret = 0;
   while(not interrupted_by_signal and written < cmd_line_len){
-    sret = write(fifo_fd, cmd_line + written,
-		 cmd_line_len - written);
-    if(sret == -1){
+    ret = write(fifo_fd, cmd_line + written,
+		cmd_line_len - written);
+    if(ret == -1){
       if(errno != EINTR or interrupted_by_signal){
 	int e = errno;
 	close(fifo_fd);
@@ -107,7 +106,7 @@
 	continue;
       }
     }
-    written += (size_t)sret;
+    written += (size_t)ret;
   }
   free(cmd_line_alloc);
   do{

